## mpich2 1.4

=== debian/changelog ===
mpich2 (1.4-1) unstable; urgency=low

  * New upstream release
  * Added patch fix-hwloc.patch (upstream changeset #8696)
    to fix upstream issue #1507
  * Make mpif90 use gfortran instead of f95 (Closes: #630675)

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Tue, 19 Jul 2011 16:36:49 +0200

mpich2 (1.4~rc2-3) unstable; urgency=low

  * Add links for /usr/lib/mpich2/{include,lib}. Patch from Nicholas Breen.
    Closes: #626429
  * Bump Standards-Version to 3.9.2. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 20 May 2011 18:04:57 +0200

mpich2 (1.4~rc2-2) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Add Torquil Macdonald Sørensen to Uploaders.

  [ Torquil Macdonald Sørensen ]
  * Don't let Debian buildflags influence runtime MPICH2 compiler flags.
    Users must specify optimization and/or debug flags themselves when
    using mpicc, mpicxx etc, just like for gcc, g++ etc. Closes: #624349

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Fri, 06 May 2011 14:28:44 +0200

mpich2 (1.4~rc2-1) unstable; urgency=low

  * New upstream snapshot.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 09 Apr 2011 13:39:27 +0200

mpich2 (1.4~rc1-2) unstable; urgency=low

  * libmipch2-3: Add Conflicts, Replaces: libmpich2-2. A better long-term
    solution might be to split that binary package into 6(!) binary packages
    (one of each shared lib). Closes: #620206

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 31 Mar 2011 08:38:44 +0200

mpich2 (1.4~rc1-1) unstable; urgency=low

  * New upstream release.
  * A rebuild probably closes: #617283.
  * Add --with-hydra-ckpointlib=blcr to configure. Closes: #617879.
  * Renamed libmpich2-1.2 to libmpich2-3.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 29 Mar 2011 21:21:28 +0200

mpich2 (1.3.3~rc1-1) unstable; urgency=low

  * New upstream release. Closes: #576712.
  * Limit libcr-dev dependency to architectures where it is actually
    available.
  * Switch to 3.0 (quilt).

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 02 Mar 2011 08:03:23 +0100

mpich2 (1.3.2p1-1) unstable; urgency=low

  * New upstream release.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 19 Feb 2011 12:02:26 +0100

mpich2 (1.3.2-1) unstable; urgency=low

  * New upstream release. Closes: #612169.
  * Make libmpich2-dev depend on libcr-dev. Closes: #612201.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 08 Feb 2011 23:05:29 +0100

mpich2 (1.3.1-1) experimental; urgency=low

  * New upstream release.
  * Remove mpd-related patches, as we don't ship mpd anymore.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 21 Nov 2010 14:25:33 +0100

mpich2 (1.3.1~rc1-3) experimental; urgency=low

  * Enable checkpointing only on architectures that support it.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 16 Nov 2010 05:28:57 -0600

mpich2 (1.3.1~rc1-2) experimental; urgency=low

  * Re-upload with amd64 binaries.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 15 Nov 2010 14:07:42 -0600

mpich2 (1.3.1~rc1-1) experimental; urgency=low

  * New upstream version.
  * Enable checkpointing. Closes: #555714

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 15 Nov 2010 11:14:53 -0600

mpich2 (1.3-1) experimental; urgency=low

  * New upstream version.
    + Hydra is now the default PM, replacing mpd. Closes: #577638
    + Renamed libmpich2-1.2 to libmpich2-2.
  * Removed patches:
    + fPIC.patch: merged upstream, somehow
    + no-rpath.patch: now a configuration option
    + undefined-variables-in-pc.patch: merged upstream
  * Many build fixes due to the new upstream version.
  * Bump standards-version to 3.9.1. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 24 Oct 2010 08:10:41 +0200

mpich2 (1.2.1.1-5) unstable; urgency=low

  * Use /usr/bin/python instead of /usr/bin/python2.5. Allow to drop
    dependency on python2.5.  Closes: #595268
  * Make /usr/bin/mpdroot setuid. This is the default after the installation
    of mpich2 from source, too. LP: #616929
    + Add corresponding lintian override.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 15 Sep 2010 18:13:44 +0200

mpich2 (1.2.1.1-4) unstable; urgency=low

  * Fix broken symlink for mpdsigjob. It is 'job', not 'job*s*'. LP: #570254.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 27 Apr 2010 10:34:19 +0200

mpich2 (1.2.1.1-3) unstable; urgency=medium

  * Add patches/hurd-no-SO_REUSEADDR.patch. Fix FTBFS on Hurd. Closes: #575963
  * Add patches/undefined-variables-in-pc.patch. Fix some undefined variables
    in .pc. (LP: #566822)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 20 Apr 2010 09:36:06 +0200

mpich2 (1.2.1.1-2) unstable; urgency=medium

  * Add patch no-rpath.patch: don't set rpath. Closes: #558960.
  * Added slave alternatives symlinks for MPI FORTRAN libraries
    (Closes: #563705).

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 19 Mar 2010 21:53:47 +0100

mpich2 (1.2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Support building on sh4. Closes: #565289.
  * Fix documentation about alternatives. Closes: #568237.
  * Standards-Version: 3.8.4. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 24 Feb 2010 11:57:03 +0100

mpich2 (1.2.1-2) unstable; urgency=low

  * Remove bashism in postinst introduced in 1.2.1-1. (fixes piuparts failure)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 29 Nov 2009 11:44:58 +0100

mpich2 (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Fix alternatives: use the same alternatives as LAM, mpich and (from
    recently) openmpi. See #522429 for discussion.
  * Increase alternatives score to 40 (same as OpenMPI).
  * Fix FTBFS on s390 by using -fPIC instead of -fpic. Closes: #555943.
  * Remove .py binary suffix in /usr/share/mpich2/*.py.
  * Run the test suite, but ignore failures for now.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 19 Nov 2009 11:37:30 -0600

mpich2 (1.2.1~rc1-1) unstable; urgency=low


