=== debian/control ===
Source: mpich2
Section: devel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>, Torquil Macdonald Sørensen <torquil@gmail.com>
Build-Depends: debhelper (>= 7), cdbs, gfortran, txt2man, libxt-dev, x11proto-core-dev, default-jdk, quilt, procps, libhwloc-dev, hwloc-nox, libcr-dev [amd64 armel i386 powerpc], automake
Standards-Version: 3.9.2
Homepage: http://www.mcs.anl.gov/research/projects/mpich2/
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/mpich2.git;a=summary
Vcs-Git: git://git.debian.org/debian-science/packages/mpich2.git

Package: mpich2
Architecture: any
Depends: libmpich2-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, hwloc-nox | hwloc
Recommends: libmpich2-dev (= ${binary:Version})
Suggests: mpich2-doc (= ${source:Version}), blcr-util
Description: Implementation of the MPI Message Passing Interface standard
 MPICH2 is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the program binaries necessary to run MPICH2 programs.

Package: mpich2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: lam-mpidoc, lam4-dev, mpi-doc, openmpi-mpidoc, openmpi-doc
Description: Documentation for MPICH2
 MPICH2 is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH2 documentation.

Package: libmpich2-3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmpich2-2
Replaces: libmpich2-2
Description: Shared libraries for MPICH2
 MPICH2 is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH2 shared libraries.

Package: libmpich2-dev
Architecture: any
Section: libdevel
Depends: libmpich2-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libcr-dev [amd64 armel i386 powerpc]
Recommends: mpich2 (= ${binary:Version})
Description: Development files for MPICH2
 MPICH2 is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH2 headers and static libraries, as well
 as the compiler wrappers needed to build MPICH2 programs.

#Package: libmpe-mpich2-dev
#Architecture: any
#Section: libdevel
#Depends: mpich2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
#Description: Analysis tools for MPICH2 programs
# This is an implementation of the Message-Passing Interface (MPI). The goals of
# MPICH2 are to provide an MPI implementation for important platforms, including 
# clusters, SMPs, and massively parallel processors. It also provides a vehicle 
# for MPI implementation research and for developing new and better parallel 
# programming environments.
# .
# This package includes the MPE environment, which provides a complete suite of 
# analysis tools for MPI programs based on port processing approach.
