## mpich2 1.4.1

=== debian/changelog ===
mpich2 (1.4.1-4.2ubuntu2) saucy; urgency=low

  * Rebuild with gfortran 4.8.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Sep 2013 12:02:34 +0100

mpich2 (1.4.1-4.2ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build using brcl on armhf.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 18 Apr 2013 17:39:01 -0400

mpich2 (1.4.1-4.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/fix_segfault.patch: New patch, fixes a segfault in
    HYDU_get_abs_wd() if the requested executable is not available, taken from
    upstream changeset 8d5444. Closes: #683226, #683217.

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Apr 2013 13:46:26 +0200

mpich2 (1.4.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable use of gcc primitives on sparc, fixing a build failure.
    Closes: #660259.

 -- Steve Langasek <vorlon@debian.org>  Mon, 17 Dec 2012 01:06:08 +0000

mpich2 (1.4.1-4ubuntu1) quantal; urgency=low

  * Merge with Debian (LP: #1038051); remaining changes: 
    - Build using brcl on armhf.

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 18 Aug 2012 15:35:03 +0200

mpich2 (1.4.1-4) unstable; urgency=low

  * Removed s390 from valgrind-supported arches.
  * Added to clean files list.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 02 Feb 2012 13:54:30 -0500

mpich2 (1.4.1-3) unstable; urgency=low

  [ Adam C. Powell, IV ]
  * Corrected lintian overrides for uploader name.

  [ Nobuhiro Iwamatsu ]
  * Build-Depends on valgrind only on supported arches (closes: #658066).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 02 Feb 2012 11:09:04 -0500

mpich2 (1.4.1-2) unstable; urgency=low

  * New uploader Adam C. Powell, IV -- with lintian override regarding name.
  * Link shared libraries with their dependencies (closes: #653616).
  * Add valgrind to Build-Depends for PLPA.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 26 Jan 2012 15:19:17 -0500

mpich2 (1.4.1-1ubuntu1) precise; urgency=low

  * Build using brcl on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Dec 2011 20:18:59 +0100

mpich2 (1.4.1-1build1) precise; urgency=low

  * Rebuild against libhwloc4.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 26 Nov 2011 23:47:53 +0100

mpich2 (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Removed the now unneeded fix-hwloc.patch.
  * Include new DESTDIR patch. Thanks Eric A. Borisch.
  * Also fix paths in /etc/mpich2/*.conf and /usr/bin/mpi{cc,cxx,f77,f90}.mpich.
    Also thanks Eric A. Borisch. Fixed using sed-replacements in debian/rules.
  * Improve cleaning of source directory in debian/rules.
  * Remove unneeded /usr/lib/libopa.la

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Fri, 26 Aug 2011 17:50:52 +0200
