=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mpich2
 Section: devel
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Lucas Nussbaum <lucas@debian.org>, Torquil Macdonald Sørensen <torquil@gmail.com>
-Build-Depends: debhelper (>= 7), cdbs, gfortran, txt2man, libxt-dev, x11proto-core-dev, default-jdk, quilt, procps, libhwloc-dev, hwloc-nox, libcr-dev [amd64 armel i386 powerpc], automake
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Lucas Nussbaum <lucas@debian.org>, Torquil Macdonald Sørensen <torquil@gmail.com>, "Adam C. Powell, IV" <hazelsct@debian.org>
+Build-Depends: debhelper (>= 7), cdbs, gfortran, txt2man, libxt-dev, x11proto-core-dev, default-jdk, quilt, procps, libhwloc-dev, hwloc-nox, libcr-dev [amd64 armel armhf i386 powerpc], automake, valgrind [i386 amd64 powerpc armel armhf]
 Standards-Version: 3.9.2
 Homepage: http://www.mcs.anl.gov/research/projects/mpich2/
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/mpich2.git;a=summary
@@ -55,7 +56,7 @@
 Package: libmpich2-dev
 Architecture: any
 Section: libdevel
-Depends: libmpich2-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libcr-dev [amd64 armel i386 powerpc]
+Depends: libmpich2-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libcr-dev [amd64 armel armhf i386 powerpc]
 Recommends: mpich2 (= ${binary:Version})
 Description: Development files for MPICH2
  MPICH2 is a high-performance and widely portable implementation of the
