=== debian/rules ===
--- 
+++ 
@@ -26,20 +26,31 @@
 	--with-hwloc-prefix=system
 
 # BLCR checkpointing support
-ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 armel i386 powerpc))
+ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 armel armhf i386 powerpc))
 	DEB_CONFIGURE_EXTRA_FLAGS += --enable-checkpointing --with-hydra-ckpointlib=blcr
 endif
 
-# On sparc and sh4, OPA isn't available, so we need to fallback to
+# On sh4, OPA isn't available, so we need to fallback to
 # emulation mode. There's a performance penalty, unfortunately.
-ifneq (,$(findstring $(DEB_HOST_GNU_CPU),sparc sh4))
+ifneq (,$(findstring $(DEB_HOST_GNU_CPU),sh4))
 	        DEB_CONFIGURE_EXTRA_FLAGS += --with-atomic-primitives=no
 endif
 
 DEB_MAKE_CLEAN_TARGET := distclean
 
-#clean::
-#	rm -f src/binding/f90/libmpichf90.la bin/mpic++ bin/parkill src/mpe2/src/slog2sdk/awt_color.jar src/mpe2/src/slog2sdk/share/logfiles/fpilog.clog src/mpe2/src/slog2sdk/share/logfiles/fpilog.slog2
+clean::
+	rm -rf lib include share
+	rm -f src/binding/f90/libmpichf90.la
+	rm -f bin/mpic++
+	rm -f bin/parkill
+	rm -f src/mpe2/src/slog2sdk/awt_color.jar
+	rm -f src/mpe2/src/slog2sdk/share/logfiles/fpilog.clog
+	rm -f src/mpe2/src/slog2sdk/share/logfiles/fpilog.slog2
+	rm -f src/mpe2/src/slog2sdk/trace_rlog/share/logfiles/barrier.rlog
+	rm -f src/mpe2/src/callstack/bin/bt2line
+	rm -f src/pm/hydra/config.status
+	rm -f .mpich2
+	find -name configure.lineno -exec rm {} \;
 
 # run MPI test suite
 # Custom rules based on the makefile CDBS class
@@ -59,11 +70,18 @@
 	  (cd debian/libmpich2-dev/usr/bin/ && mv $$i $$i.mpich2); \
 	  (cd debian/libmpich2-dev/usr/share/man/man1/ && mv $$i.1 $$i.mpich2.1);\
 	done
+	rm -f debian/libmpich2-dev/usr/lib/libopa.la
 	rm -f debian/libmpich2-dev/usr/bin/mpic++ debian/libmpich2-dev/usr/share/man/man1/mpic++.1
 	dh_link -plibmpich2-dev /usr/bin/mpicxx.mpich2 /usr/bin/mpic++.mpich2
 	dh_link -plibmpich2-dev /usr/share/man/man1/mpicxx.mpich2.1 /usr/share/man/man1/mpic++.mpich2.1
 	for i in debian/libmpich2-dev/usr/lib/*.so ; do \
 	  dh_link -plibmpich2-dev usr/lib/`basename $$i` usr/lib/mpich2/lib/`basename $$i` ;\
+	done
+	# Fix incorrect paths in /etc/mpich2/*.conf and /usr/bin/mpi{cc,cxx,f77,f90}.mpich
+	for fn in debian/libmpich2-dev/etc/mpich2/*.conf debian/libmpich2-dev/usr/bin/mpicc.mpich2 \
+	    debian/libmpich2-dev/usr/bin/mpicxx.mpich2 debian/libmpich2-dev/usr/bin/mpif77.mpich2 \
+	    debian/libmpich2-dev/usr/bin/mpif90.mpich2; do \
+	  sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
 	done
 
 binary-install/mpich2::
